summaryrefslogtreecommitdiffstats
path: root/source/d/subversion
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/d/subversion
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/d/subversion')
-rwxr-xr-xsource/d/subversion/get-svn-book.sh2
-rwxr-xr-xsource/d/subversion/subversion.SlackBuild10
2 files changed, 8 insertions, 4 deletions
diff --git a/source/d/subversion/get-svn-book.sh b/source/d/subversion/get-svn-book.sh
index 112ba17c3..e88530d32 100755
--- a/source/d/subversion/get-svn-book.sh
+++ b/source/d/subversion/get-svn-book.sh
@@ -3,7 +3,7 @@ CWD=`pwd`
# Add the latest copy of the Subversion book:
( cd $CWD
- lftpget http://svnbook.red-bean.com/nightly/en/svn-book-html.tar.bz2
+ lftpget http://svnbook.red-bean.com/en/1.7/svn-book-html.tar.bz2
chmod 644 svn-book-html.tar.bz2
)
diff --git a/source/d/subversion/subversion.SlackBuild b/source/d/subversion/subversion.SlackBuild
index 27f52fd80..114b11972 100755
--- a/source/d/subversion/subversion.SlackBuild
+++ b/source/d/subversion/subversion.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -79,16 +79,20 @@ CFLAGS="$SLKCFLAGS" \
--disable-static \
--with-apr=/usr \
--with-apr-util=/usr \
- --with-apxs=/usr/sbin/apxs \
+ --with-apxs=/usr/bin/apxs \
--with-neon=/usr \
--with-zlib=/usr \
--with-pic \
--with-ssl \
- --with-kwallet \
--build=$ARCH-slackware-linux
+# Not currently compiling with gcc-4.7.1, but we'll try it again later:
+# --with-kwallet \
+#
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+make install-tools DESTDIR=$PKG || exit 1
make install-docs DESTDIR=$PKG || exit 1
# Install python bindings